import { jsx, jsxs } from "react/jsx-runtime";
import "react";
import { useFieldSchema } from "@tachybase/schema";
import { DragOutlined } from "@ant-design/icons";
import { Space } from "antd";
import { useSchemaInitializerRender } from "../../../application/index.mjs";
import { DragHandler } from "../../index.mjs";
import { useGetAriaLabelOfDesigner } from "../../../schema-settings/hooks/useGetAriaLabelOfDesigner.mjs";
const TableActionColumnDesigner = (props)=>{
    const fieldSchema = useFieldSchema();
    const { render } = useSchemaInitializerRender(fieldSchema['x-initializer'], fieldSchema['x-initializer-props']);
    const { getAriaLabel } = useGetAriaLabelOfDesigner();
    return /*#__PURE__*/ jsx("div", {
        className: 'general-schema-designer',
        children: /*#__PURE__*/ jsx("div", {
            className: 'general-schema-designer-icons',
            children: /*#__PURE__*/ jsxs(Space, {
                size: 2,
                align: 'center',
                children: [
                    /*#__PURE__*/ jsx(DragHandler, {
                        children: /*#__PURE__*/ jsx(DragOutlined, {
                            role: "button",
                            "aria-label": getAriaLabel('drag-handler')
                        })
                    }),
                    render()
                ]
            })
        })
    });
};
export { TableActionColumnDesigner };
